#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './general.ui'
**
** Created: 2012-06-19T18:29:37
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "general.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a General as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
General::General( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "General" );
    GeneralLayout = new QVBoxLayout( this, 11, 6, "GeneralLayout"); 

    kcfg_UseIntegratedViewer = new QCheckBox( this, "kcfg_UseIntegratedViewer" );
    GeneralLayout->addWidget( kcfg_UseIntegratedViewer );

    kcfg_KonquerorIntegration = new QCheckBox( this, "kcfg_KonquerorIntegration" );
    GeneralLayout->addWidget( kcfg_KonquerorIntegration );

    tqlayout1 = new QHBoxLayout( 0, 0, 6, "tqlayout1"); 
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Fixed, QSizePolicy::Minimum );
    tqlayout1->addItem( spacer2 );

    konqIntegrationLabel = new QLabel( this, "konqIntegrationLabel" );
    tqlayout1->addWidget( konqIntegrationLabel );
    GeneralLayout->addLayout( tqlayout1 );
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    GeneralLayout->addItem( spacer1 );
    languageChange();
    resize( QSize(323, 251).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
General::~General()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void General::languageChange()
{
    setCaption( tr2i18n( "General" ) );
    kcfg_UseIntegratedViewer->setText( tr2i18n( "&Use integrated viewer" ) );
    kcfg_KonquerorIntegration->setText( tr2i18n( "&Enable Konqueror integration" ) );
    konqIntegrationLabel->setText( tr2i18n( "<font size=\"-1\"><i>Konqueror integration is only available if you install the Konqueror integration plugin from the kdeaddons package.</i></font>" ) );
}

#include "general.moc"
